<div>
    <h2 id="page-heading">
        <span>Verify Fields</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-verify-field" [routerLink]="['/verify-field/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Verify Field
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="verifyFields?.length === 0">
        <span>No verifyFields found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="verifyFields && verifyFields.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Name</span></th>
                    <th scope="col" ><span>Label</span></th>
                    <th scope="col" ><span>Link</span></th>
                    <th scope="col" ><span>Verify</span></th>
                    <th scope="col" ><span>Case Step</span></th>
                    <th scope="col" ><span>Case Step Instance</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let verifyField of verifyFields ;trackBy: trackId">
                    <td><a [routerLink]="['/verify-field', verifyField.id, 'view']">{{ verifyField.id }}</a></td>
                    <td>{{ verifyField.name }}</td>
                    <td>{{ verifyField.label }}</td>
                    <td>{{ verifyField.link }}</td>
                    <td>{{ verifyField.verify }}</td>
                    <td>
                        <div *ngIf="verifyField.caseStep">
                            <a [routerLink]="['/case-step', verifyField.caseStep?.id, 'view']" >{{ verifyField.caseStep?.id }}</a>
                        </div>
                    </td>
                    <td>
                        <div *ngIf="verifyField.caseStepInstance">
                            <a [routerLink]="['/case-step-instance', verifyField.caseStepInstance?.id, 'view']" >{{ verifyField.caseStepInstance?.id }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/verify-field', verifyField.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/verify-field', verifyField.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(verifyField)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
